> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leokit.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Save Transaction

> Save transaction hash for tracking



## OpenAPI

````yaml /api-reference/openapi.json POST /save-transaction
openapi: 3.0.3
info:
  title: Leokit API
  version: 1.0.0
  description: API reference for Leokit
servers:
  - url: https://api.leokit.dev
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /save-transaction:
    post:
      summary: Save transaction hash
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - quote_id
                - tx_hash
              properties:
                quote_id:
                  type: string
                  format: uuid
                  description: Quote ID from /quote
                tx_hash:
                  type: string
                  description: Transaction hash from blockchain
            example:
              quote_id: 01936b4a-7c8e-7890-abcd-ef1234567890
              tx_hash: >-
                0xa1b2c3d4e5f67890abcdef1234567890abcdef1234567890abcdef1234567890
      responses:
        '200':
          description: Transaction saved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: Transaction saved successfully
        '400':
          description: Invalid quote_id
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: >-
                  Transaction not saved, please make sure you have entered the
                  correct quote_id.
        default:
          $ref: '#/components/responses/ErrorResponse'
components:
  responses:
    ErrorResponse:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      description: Generic error payload.
      properties:
        message:
          type: string
        code:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Api-Key
      description: 'Demo API-Key (Sandbox): 7037d2b3-9c76-4f62-b730-c544f7570fa4'

````